<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">

    <ui:composition template="/template_1.xhtml">
        <ui:define name="title">
        </ui:define>
        <ui:define name="bodys">
            <h:form id="formDepartamentos" >
                <h:panelGroup id="messagePanel" layout="block">
                    <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
                </h:panelGroup>
                <h:outputText escape="false" value="#{bundle.ListDepartamentosEmpty}" rendered="#{departamentosController.items.rowCount == 0}"/>
                <h:panelGroup rendered="#{departamentosController.items.rowCount > 0}">
                    <p:dataTable id="tablaDepartamentos" sortMode="multiple" value="#{departamentosController.items}" var="item" 
                                 widgetVar="tablaDepartamentos" emptyMessage="No hay Inventario disponibles" paginator="true" rows="10"
                                 rowKey="#{item.itemId}" >|
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListDepartamentosTitle_departamentoId}"/>
                            </f:facet>
                            <h:outputText value="#{item.departamentoId}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListDepartamentosTitle_departamentoNombre}"/>
                            </f:facet>
                            <h:outputText value="#{item.departamentoNombre}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="&nbsp;"/>
                            </f:facet>
                             <p:commandButton action="#{departamentosController.prepareEdit}" oncomplete="PF('dlgDepartamento').show();" 
                                           value="#{bundle.ListDepartamentosEditLink}" process="@this" update=":tabViewAdmin:departamentosPanel:dialogDepartamento"/>
                            <h:outputText value=" "/><br/><br/>
                            <p:commandButton action="#{departamentosController.destroy}" value="#{bundle.ListDepartamentosDestroyLink}"
                                           process="@this" update=":tabViewAdmin:departamentosPanel:formDepartamentos:tablaDepartamentos">
                                <p:confirm header="Confirmacion" message="Esta seguro de eliminar?" icon="ui-icon ui-icon-comment" />
                            </p:commandButton>
                            <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                                <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon ui-icon-check" />
                                <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon ui-icon-close" />
                            </p:confirmDialog>
                        </p:column>
                    </p:dataTable>
                </h:panelGroup>
            </h:form>
            <p:dialog id="dialogDepartamento" position="center" header="Departamento #{departamentosController.selected.departamentoNombre}" modal="true"
                      widgetVar="dlgDepartamento"   appendTo="@(body)" closable="true"  >
                <p:outputPanel  style="text-align:center;">
                    <ui:include src="/web/departamentos/Edit.xhtml" rendered="#{!sessionBean.activa}" />

                </p:outputPanel>
            </p:dialog>
        </ui:define>
    </ui:composition>

</html>
